Bug 902726 - (CVE-2012-6112) CVE-2012-6112 tinymce-spellchecker (Google Spellchecker): Control characters not sanitized properly from $lang and $str arguments in _getMatches
CVE-2012-6112 tinymce-spellchecker (Google Spellchecker): Control characters ...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121116,repor...
: Security
Depends On: 902727 902728
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 05:45 EST by Jan Lieskovsky
Modified: 2015-07-31 02:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 04:06:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-22 05:45:56 EST
A security flaw was found in the way Google spellchecker of TinyMCE spellchecker plugin sanitized content of $lang and $str arguments from presence of control characters when checking for matches. A remote attacker could provide a specially-crafted string, to be checked by the TinyMCE spellchecker plugin that, when processed, could lead to arbitrary code execution with the privileges of the user running the TinyMCE spellchecker plugin.

References:
[1] http://www.openwall.com/lists/oss-security/2013/01/21/1

Relevant upstream patch:
[2] https://github.com/tinymce/tinymce_spellchecker_php/commit/22910187bfb9edae90c26e10100d8145b505b974
Comment 1 Jan Lieskovsky 2013-01-22 05:48:30 EST
This issue affects the versions of the tinymce-spellchecker package, as shipped with Fedora release of 16, 17, 18, and Fedora EPEL 6. Please schedule an update.

--

This issue did NOT affect the versions of the moodle package, as shipped with Fedora release of 16, 17, 18, Fedora EPEL 6 (TinyMCE spellchecker plugin in them was already updated) or as shipped with Fedora EPEL 5 (TinyMCE spellchecker plugin does not contain Google SpellChecker part yet).
Comment 2 Jan Lieskovsky 2013-01-22 05:49:33 EST
Created tinymce-spellchecker tracking bugs for this issue

Affects: fedora-all [bug 902727]
Affects: epel-6 [bug 902728]
Comment 3 Fedora Update System 2013-02-03 08:43:30 EST
tinymce-spellchecker-2.0.5-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-02-08 20:46:42 EST
tinymce-spellchecker-2.0.5-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.